Install Hardware Support Package for Device Driver

To communicate with a CAN device, you must install the required driver on your system.

The drivers are available in the support packages for the following vendors:

  • National Instruments® (NI-XNET CAN)

  • Kvaser

  • Vector

  • PEAK-System

Note

For deployed applications, the target machine also needs the appropriate drivers installed. If the target machine does not have MATLAB® on it, you must install the vendor drivers manually.

Install Support Packages

To install the support package for the required driver:

  1. On the MATLAB Home tab, in the Environment section, click Add-Ons > Get Hardware Support Packages.

  2. In the left pane of the Add-On Explorer, scroll to Filter by Type and check Hardware Support Packages.

  3. Under Filter by Hardware Type check CAN Devices. The Add-On Explorer displays all the support packages for the supported vendors of CAN devices. Click the support package for your device vendor.

  4. Click Install > Install. Sign in to your MathWorks® account if necessary, and proceed.

Update or Uninstall Support Packages

To uninstall support packages:

On the MATLAB Home tab, in the Environment section, click Add-Ons > Manage Add-Ons.

To update existing support packages:

On the MATLAB Home tab, in the Environment section, click Add-Ons > Check for Updates > Hardware Support Packages.

Related Topics